#!/bin/sh
cd `dirname $0`
CUR_DIR=`pwd`

PROCESS_HOME=$CUR_DIR/..

LOG_APTH=$PROCESS_HOME
processName=device-asset-weixin

JARS="$PROCESS_HOME/prjConf:"
LIB=$PROCESS_HOME/lib

if [ -d $LIB ]; then
  for i in $LIB/*.jar; do
    JARS="$JARS":$i
  done
fi

export JARS

JAVA_OPTS="-Dprogram.name=$processName -DPROCESS_HOME=$PROCESS_HOME -Dlog.path=$LOG_APTH -Xms512M -Xmx1G -Duser.timezone=GMT+8 -Dfile.encoding=UTF-8"
JAVA_OPTS="$JAVA_OPTS -Xloggc:$CUR_DIR/process/gc.vgc -XX:+PrintGCDateStamps"


case "$1" in
    	'start')
			java -server $JAVA_OPTS  -cp $JARS com.ebei.device.asset.weixin.DeviceAssetWeixinApplication
			;;
        *)
        echo "device-asset-weixin v1.0.0, ebei ltd. (c)2019-2022"
        echo "usage: ./device-asset-weixin.sh <command>"
        echo "       command = < start| help >"
        echo "       start: start device-asset-weixin in current shell, and in background if succeded with &."
        echo "       the program should be execute with root privelage."
        ;;
esac
