package com.ebei.device.asset.weixin.auth;

import lombok.extern.slf4j.Slf4j;
import org.springframework.web.context.request.RequestAttributes;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 当前用户认证工具
 * @author baihe
 *
 */
@Slf4j
public class AuthUtils {

	public final static String REQ_USER = "_req_authuser_";
	public final static String REQ_TOKEN = "_req_token_";
	public final static String REQ_BLANK = "_req_blank_";//参数中传递的token
	
	public final static Long TOKEN_EXPIRE_TIME = 7200L;//3个小时
	
    public static ServletRequestAttributes getRequestAttributes() {
    	RequestAttributes r = RequestContextHolder.currentRequestAttributes();
        return (ServletRequestAttributes)r;
    }
	public static HttpServletRequest getRequest() {
		return getRequestAttributes().getRequest();
	}
	public static HttpServletResponse getResponse() {
		return getRequestAttributes().getResponse();
	}
	public static Long getUserId() {
		HttpServletRequest request = getRequest();
		AuthUser user = null;
		Object o = request.getAttribute(REQ_USER);
		if(o!=null) {
			user=(AuthUser)o;
			return user.getUserId();
		}
		return null;
	}
	public static AuthUser getUser() {
		HttpServletRequest request = getRequest();
		AuthUser user = null;
		Object o = request.getAttribute(REQ_USER);
		if(o!=null) {
			user=(AuthUser)o;
		}
		return user;
	}
	public static Long getCompanyId() {
		AuthUser user = getUser();
		if(user!=null&&user.getCompanyId()!=null) {
			return user.getCompanyId();
		}
		return null;
	}
	public static Long getAreaId() {
		AuthUser user = getUser();
		if(user!=null&&user.getAreaId()!=null) {
			return user.getAreaId();
		}
		return null;
	}
	public static List<Long> getAssetIdList() {
		AuthUser user = getUser();
		if(user!=null&&user.getAssetIdList()!=null) {
			return user.getAssetIdList();
		}
		return null;
	}
	public static void setUser(AuthUser user) {
		getRequest().setAttribute(REQ_USER, user);
	}

}
