package com.ebei.device.asset.weixin.constant;

import lombok.Getter;

/**
 * @ClassName : BusinessErrorCode
 * @Description : 业务通用异常枚举类
 * @Author : hbw
 * @Date : 2020-04-12 11:31
 * @Version : V1.0
 */
@Getter
public enum BusinessErrorCode {

    /**
     * 通用业务异常
     */
    BUSINESS_ERROR("800", "业务异常"),
    BAD_REQUEST_ERROR("400", "参数解析失败"),
    FILE_UPLOAD_ERROR("401", "文件上传失败"),
    NOT_LOGGED_IN("402", "请登录之后操作"),
    NO_PERMISSION("403", "该登录人员没有操作权限"),
    TOKEN_INVALID("404", "token无效，请传入有效的token"),
    ASSETS_NAME_REPEAT("405", "同一个房间下的资产分类下的资产名称不能重复"),
    PROJECT_ID_ERROR("406", "项目id错误，请选择正确的项目id"),
    ADDRESS_NAME_OR_CODE_REPEAT("407", "机房名称或编码重复"),
    ADD_JYWSROOM_ERROR("408", "批量保存房间信息失败"),
    ADD_JYWSROOM_ERROR_BYUPDATE("409", "批量保存房间信息失败，更新时失败"),



    ;

    private String code;

    private String message;

    BusinessErrorCode(String code, String message) {
        this.code = code;
        this.message = message;
    }

}
