
package com.ebei.device.asset.weixin.contorller;

import com.baomidou.mybatisplus.plugins.Page;
import com.ebei.device.asset.weixin.model.entity.AssetProposal;
import com.ebei.device.asset.weixin.service.AssetProposalService;
import com.ebei.device.asset.weixin.util.FileUploadDownloadUtil;
import com.ebei.device.asset.weixin.util.ResponseEx;
import com.ebei.device.asset.weixin.util.ResponsePageEx;
import com.google.common.annotations.VisibleForTesting;
import com.itextpdf.text.Document;
import com.itextpdf.text.Font;
import com.itextpdf.text.Image;
import com.itextpdf.text.PageSize;
import com.itextpdf.text.pdf.BaseFont;
import com.itextpdf.text.pdf.PdfPCell;
import com.itextpdf.text.pdf.PdfPTable;
import com.itextpdf.text.pdf.PdfWriter;
import io.swagger.annotations.*;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.io.ByteArrayOutputStream;
import java.io.InputStream;
import java.text.SimpleDateFormat;
import java.util.List;
import java.util.Map;


/**
 * <p>
 * 资产管护租户建议反馈 前端控制器
 * </p>
 */
@RestController
@RequestMapping("/assetProposal")
@Api(value = "assetProposal" , description = "资产管护租户建议反馈")
@Slf4j
public class AssetProposalController {

    @Autowired
    private AssetProposalService assetProposalService;


    @ApiOperation(value="新增建议反馈")
    @PostMapping("/saveAssetProposal")
    public ResponseEx<Object> saveAssetProposal(@RequestBody @ApiParam(name="assetProposal",value="参数JSON",required=true) AssetProposal assetProposal) {

        AssetProposal proposal = assetProposalService.saveAssetProposal(assetProposal);
        return  ResponseEx.createSuccess("建议反馈提交成功",proposal);

    }

    @ApiOperation(value="获取投诉管理列表分页数据")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "pageSize", value = "URL参数：每页显示数量", required = true, paramType = "path"),
            @ApiImplicitParam(name = "pageIndex", value = "URL参数：当前页", required = true, paramType = "path")
    })
    @PostMapping("/selectAssetProposalList/{pageSize}/{pageIndex}")
    public ResponsePageEx<Object> selectAssetPlanList(@PathVariable int pageSize, @PathVariable int pageIndex,
                                                      @RequestBody @ApiParam(name="params",value="搜索条件JSON参数，无参请传{}") Map<String, Object> params) {

        Page<AssetProposal> page = assetProposalService.selectAssetProposalList(new Page<>(pageIndex, pageSize), params);
        return  ResponsePageEx.createSuccess(page.getRecords(), page.getTotal(), page.getCurrent(), page.getSize(), page.getPages());

    }

    @ApiOperation(value = "修改投诉处理状态", notes = "修改投诉处理状态")
    @ApiImplicitParam(name = "proposalId", value = "主键ID", required = true, dataType = "Long", paramType = "path")
    @GetMapping("/updateProposalState/{proposalId}")
    public ResponseEx<Object> updateProposalState(@PathVariable Long proposalId) {

        assetProposalService.updateProposalState(proposalId);
        return ResponseEx.createSuccess("处理成功");

    }




}

