
package com.ebei.device.asset.weixin.contorller;

import com.baomidou.mybatisplus.plugins.Page;
import com.ebei.device.asset.weixin.model.entity.AssetTenantUser;
import com.ebei.device.asset.weixin.service.AssetTenantUserService;
import com.ebei.device.asset.weixin.util.ResponseEx;
import com.ebei.device.asset.weixin.util.ResponsePageEx;
import io.swagger.annotations.*;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;


/**
 * <p>
 * 资产管护租户账号 前端控制器
 * </p>
 */
@RestController
@RequestMapping("/assetTenantUser")
@Api(value = "assetTenantUser" , description = "资产管护租户账号")
@Slf4j
public class AssetTenantUserController {

    @Autowired
    private AssetTenantUserService assetTenantUserService;


    @ApiOperation(value="新增租户账号")
    @PostMapping("/saveAssetTenantUser")
    public ResponseEx<Object> saveAssetTenantUser(@RequestBody @ApiParam(name="assetTenantUser",value="参数JSON",required=true) AssetTenantUser assetTenantUser) {

        AssetTenantUser tenantUser = assetTenantUserService.saveAssetTenantUser(assetTenantUser);
        return  ResponseEx.createSuccess("新增账号成功",tenantUser);

    }

    @ApiOperation(value="获取租户账号列表分页数据")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "pageSize", value = "URL参数：每页显示数量", required = true, paramType = "path"),
            @ApiImplicitParam(name = "pageIndex", value = "URL参数：当前页", required = true, paramType = "path")
    })
    @PostMapping("/selectAssetTenantUserList/{pageSize}/{pageIndex}")
    public ResponsePageEx<Object> selectAssetTenantUserList(@PathVariable int pageSize, @PathVariable int pageIndex,
                                                            @RequestBody @ApiParam(name="params",value="搜索条件JSON参数，无参请传{}") Map<String, Object> params) {

        Page<AssetTenantUser> page = assetTenantUserService.selectAssetTenantUserList(new Page<>(pageIndex, pageSize), params);
        return  ResponsePageEx.createSuccess(page.getRecords(), page.getTotal(), page.getCurrent(), page.getSize(), page.getPages());

    }

    @ApiOperation(value="获取租户账详情")
    @ApiImplicitParam(name = "userId", value = "主键ID", required = true, dataType = "Long", paramType = "path")
    @GetMapping("/getAssetTenantUser/{userId}")
    public ResponseEx<Object> getAssetTenantUser(@PathVariable Long userId) {

        AssetTenantUser assetTenantUser = assetTenantUserService.getAssetTenantUser(userId);
        return ResponseEx.createSuccess(assetTenantUser);

    }

    @ApiOperation(value = "编辑账号", notes = "编辑账号")
    @PostMapping("/updateAssetTenantUser")
    public ResponseEx<Object> updateAssetTenantUser(@RequestBody @ApiParam(name="assetTenantUser",value="参数JSON",required=true) AssetTenantUser assetTenantUser) {

        assetTenantUserService.updateAssetTenantUser(assetTenantUser);
        return ResponseEx.createSuccess("编辑成功");

    }

    @ApiOperation(value = "删除账号", notes = "删除账号")
    @ApiImplicitParam(name = "userId", value = "主键ID", required = true, dataType = "Long", paramType = "path")
    @GetMapping("/deleteAssetTenantUser/{userId}")
    public ResponseEx<Object> deleteAssetTenantUser(@PathVariable Long userId) {

        assetTenantUserService.deleteAssetTenantUser(userId);
        return ResponseEx.createSuccess("删除成功");

    }


}

