package com.ebei.device.asset.weixin.exception;

import com.ebei.device.asset.weixin.constant.BusinessErrorCode;
import com.ebei.device.asset.weixin.constant.CommonErrorCode;
import lombok.Getter;

/**
 * @ClassName : BusinessException
 * @Description : 通用业务异常
 * @Author : hbw
 * @Date : 2020-04-12 11:32
 * @Version : V1.0
 */
@Getter
public class BusinessException extends RuntimeException {

    private String code;
    private boolean isShowMsg = true;

    /**
     * 使用枚举传参
     *
     * @param errorCode 异常枚举
     */
    public BusinessException(BusinessErrorCode errorCode) {
        super(errorCode.getMessage());
        this.code = errorCode.getCode();
    }

    /**
     * 使用CommonErrorCode枚举传参
     *
     * @param errorCode 异常枚举
     */
    public BusinessException(CommonErrorCode errorCode) {
        super(errorCode.getMessage());
        this.code = errorCode.getCode();
    }

    /**
     * 使用自定义消息
     *
     * @param code 值
     * @param msg  详情
     */
    public BusinessException(String code, String msg) {
        super(msg);
        this.code = code;
    }

}
