
package com.ebei.device.asset.weixin.model.entity;



import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableLogic;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 资产管护租户建议反馈信息
 * </p>
 *
 */
@Data
@TableName("tbg_asset_proposal")
@ApiModel("资产管护租户建议反馈信息")
public class AssetProposal extends Model<AssetProposal> {

    @ApiModelProperty(value="建议Id")
    @TableId(value = "proposal_id", type = IdType.AUTO)
    private Long proposalId;

    @TableField("content")
    @ApiModelProperty("建议反馈")
    private String content;

    @TableField("area_id")
    @ApiModelProperty("区域id")
    private Long areaId;

    @TableField("tenant_id")
    @ApiModelProperty("租户Id")
    private Long tenantId;

    @TableField("tenant_name")
    @ApiModelProperty("租户名称")
    private String tenantName;

    @TableField("asset_id")
    @ApiModelProperty("资产id")
    private Long assetId;

    @TableField("asset_name")
    @ApiModelProperty("资产名称")
    private String assetName;

    @TableField("create_date")
    @ApiModelProperty("创建时间")
    private Date createDate;

    @TableField("creator")
    @ApiModelProperty("创建人")
    private Long creator;

    @TableField("operate_date")
    @ApiModelProperty("修改时间")
    private Date operateDate;

    @TableField("operator")
    @ApiModelProperty("修改人")
    private Long operator;

    @TableField("company_id")
    @ApiModelProperty("公司id")
    private Long companyId;

    @TableField("proposal_state")
    @ApiModelProperty("处理状态 1未处理，2已处理 默认1")
    private Integer proposalState;

    @TableLogic
    @TableField("state")
    @ApiModelProperty(value="数据状态  1：正常，0：删除 默认 1")
    private Integer state;



    //=============================================以下为非数据库字段======================================



    @TableField(exist=false)
    @ApiModelProperty(value="附件信息")
    private List<AssetProposalFile> fileList;

    @TableField(exist=false)
    @ApiModelProperty("区域名称")
    private String areaName;

    @TableField(exist=false)
    @ApiModelProperty("联系人")
    private String userName;

    @TableField(exist=false)
    @ApiModelProperty("账号")
    private String userAccount;

    @TableField(exist=false)
    @ApiModelProperty("联系方式")
    private String tel;



    public static final int PROPOSAL_STATE_NO = 1;              //未处理
    public static final int PROPOSAL_STATE_YES = 2;             //已处理





    @Override
    protected Serializable pkVal() {return null;}
	

}
