
package com.ebei.device.asset.weixin.model.entity;



import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 租户建议反馈附件
 * </p>
 *
 */
@Data
@TableName("tbg_asset_proposal_file")
@ApiModel("租户建议反馈附件信息")
public class AssetProposalFile extends Model<AssetProposalFile> {

    @ApiModelProperty(value="主键")
    @TableId(value = "file_id")
    private String fileId;

    @TableField("proposal_id")
    @ApiModelProperty("建议Id")
    private Long proposalId;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time")
    private Date createTime;

    @ApiModelProperty(value = "文件路径")
    @TableField(value = "file_path")
    private String filePath;

    @ApiModelProperty(value = "0:正常; 1:源文件未加密，疑似作弊; 2:源文件不存在，上传不成功")
    @TableField(value = "file_status")
    private Integer fileStatus;

    @ApiModelProperty(value = "1:图片；2：视频；3：音频")
    @TableField(value = "file_type")
    private Integer fileType;


    @Override
    protected Serializable pkVal() {return null;}

}
