
package com.ebei.device.asset.weixin.model.entity;


import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableLogic;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 资产管护租户账号信息
 * </p>
 *
 */
@Data
@NoArgsConstructor
@TableName("tbg_asset_tenant_user")
@ApiModel("资产管护租户账号信息")
public class AssetTenantUser extends Model<AssetTenantUser> {


    public AssetTenantUser(String userAccount){
        this.userAccount = userAccount;
    }

    @ApiModelProperty(value="账号Id")
    @TableId(value = "user_id", type = IdType.AUTO)
    private Long userId;

    @TableField("user_account")
    @ApiModelProperty("账号")
    private String userAccount;

    @TableField("user_name")
    @ApiModelProperty("名称")
    private String userName;

    @TableField("pwd")
    @ApiModelProperty("密码")
    private String pwd;

    @TableField("create_date")
    @ApiModelProperty("创建时间")
    private Date createDate;

    @TableField("creator")
    @ApiModelProperty("创建人")
    private Long creator;

    @TableField("operate_date")
    @ApiModelProperty("修改时间")
    private Date operateDate;

    @TableField("operator")
    @ApiModelProperty("修改人")
    private Long operator;

    @TableField("company_id")
    @ApiModelProperty("公司id")
    private Long companyId;

    @TableField("tenant_id")
    @ApiModelProperty("租户Id")
    private Long tenantId;

    @TableField("tenant_name")
    @ApiModelProperty("租户名称")
    private String tenantName;

    @TableField("telephone")
    @ApiModelProperty("联系方式")
    private String telephone;

    @TableField("area_id")
    @ApiModelProperty("区域id")
    private Long areaId;

    @TableLogic
    @TableField("state")
    @ApiModelProperty(value="数据状态  1：正常，0：删除 默认 1")
    private Integer state;

    @TableField("token")
    @ApiModelProperty("暂存token")
    private String token;

    @TableField("last_login_date")
    @ApiModelProperty("最近一次登录时间")
    private Date LastLoginDate;


    //=============================================以下为非数据库字段======================================



    @TableField(exist=false)
    @ApiModelProperty(value="资产信息")
    private List<AssetUser> assetList;

    @TableField(exist=false)
    @ApiModelProperty("区域名称")
    private String areaName;





    @Override
    protected Serializable pkVal() {return null;}
	

}
