package com.ebei.device.asset.weixin.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;
import com.ebei.device.asset.weixin.model.entity.AssetTenantUser;

import java.util.Map;

/**
 * <p>
 * 资产管护租户账号 服务类
 * </p>
 *
 */
public interface AssetTenantUserService extends IService<AssetTenantUser> {


    /**
     * 新增租户账号
     * @param assetTenantUser
     * @return
     */
    AssetTenantUser saveAssetTenantUser(AssetTenantUser assetTenantUser);

    /**
     * 获取租户账号信息分页列表
     * @param page
     * @param params
     * @return
     */
    Page<AssetTenantUser> selectAssetTenantUserList(Page<AssetTenantUser> page, Map<String, Object> params);

    /**
     * 获取租户账号详情
     * @param userId
     * @return
     */
    AssetTenantUser getAssetTenantUser(Long userId);

    /**
     * 编辑账号
     * @param assetTenantUser
     */
    void updateAssetTenantUser(AssetTenantUser assetTenantUser);

    /**
     * 删除账号
     * @param userId
     */
    void deleteAssetTenantUser(Long userId);

}
