package com.ebei.device.asset.weixin.service;

import com.ebei.device.asset.weixin.auth.AuthUser;
import com.ebei.device.asset.weixin.model.entity.AssetTenantUser;
import com.ebei.device.asset.weixin.model.entity.AssetUser;

/**
 * 用户登录管理服务
 * @author baihe
 *
 */
public interface UserSessionManager {


	/**
	 * 清除当前系统的token信息
	 * @param token
	 */
	void clearToken(String token, boolean flag);
	/**
	 * 根据用户和公司声称Token
	 * @param user
	 * @param companyId
	 * @return
	 */
	String createToken(AssetTenantUser user, Long companyId);

	/**
	 * 根据Header中的userId设置登录用户信息
	 * @param user
	 * @param companyId
	 * @return
	 */
	AuthUser createToken(AssetTenantUser user, Long companyId, String token);

	/**
	 * 通过token获取登录用户信息
	 * @param token
	 * @return
	 */
	AuthUser getAuthUser(String token);

}
