package com.ebei.device.asset.weixin.util;

import org.apache.http.HttpResponse;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.impl.client.DefaultHttpClient;
import org.apache.http.params.BasicHttpParams;
import org.apache.http.params.HttpConnectionParams;
import org.apache.http.params.HttpParams;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.net.HttpURLConnection;
import java.net.URI;
import java.net.URL;
import java.util.Map;

/**
 * Description:
 *
 * @author xu
 * @date:2018/5/29
 * @Copyright (c) 2018 一碑科技
 */
public class HttpRequestUtils {
    public static HttpURLConnection getUrlConnection(String url, int bufferSize) throws Exception{
        URL target = new URL(url);
        String BOUNDARY = "---------------------------123821742118716"; //boundary就是
        HttpURLConnection conn = (HttpURLConnection) target.openConnection();
        conn.setConnectTimeout(30000);
        conn.setReadTimeout(30000);
        conn.setDoOutput(true);
        conn.setDoInput(true);
        conn.setUseCaches(false);
        conn.setRequestMethod("POST");
        conn.setRequestProperty("connection", "Keep-Alive");
//        conn.setRequestProperty("user-agent", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
        conn.setChunkedStreamingMode(bufferSize);
        conn.setRequestProperty("Charsert", "UTF-8");
        conn.setRequestProperty("timenow", String.valueOf(System.currentTimeMillis()));
        conn.setRequestProperty("Content-Type", "multipart/form-data; boundary="+ BOUNDARY);

        return conn;
    }

    public static HttpResponse getHttpResponse(String url, Map<String, String> params) throws Exception{
        HttpParams httpParameters = new BasicHttpParams();
        HttpConnectionParams.setConnectionTimeout(httpParameters, 2 * 60 * 100);
        HttpConnectionParams.setSoTimeout(httpParameters, 2 * 60 * 100);
        DefaultHttpClient client = new DefaultHttpClient(httpParameters);
        HttpGet httpGet = new HttpGet(new URI(url));
        for(Map.Entry<String, String> entry : params.entrySet()){
            httpGet.setHeader(entry.getKey(), entry.getValue());
        }
        return client.execute(httpGet);
    }

    /**
     *
     * Discription : post发送请求
     * @param url
     * @param params 参数 各入如：map.put(key,value);
     * @return
     * String
     * @throws
     * @author : shendx
     * @date 2013-12-27 下午4:21:49
     */
    public static String sendPost(String url, Map<String, String> params) {
        URL u = null;
        HttpURLConnection con = null;
        // 构建请求参数
        StringBuffer sb = new StringBuffer();
        if (params != null) {
            for (Map.Entry<String, String> e : params.entrySet()) {
                sb.append(e.getKey());
                sb.append("=");
                sb.append(e.getValue());
                sb.append("&");
            }
            sb.substring(0, sb.length() - 1);
        }
        // 尝试发送请求
        try {
            u = new URL(url);
            con = (HttpURLConnection) u.openConnection();
            con.setRequestMethod("POST");
            con.setDoOutput(true);
            con.setDoInput(true);
            con.setUseCaches(false);
            con.setRequestProperty("Content-Type",
                    "application/x-www-form-urlencoded");
            con.setConnectTimeout(1000);
            con.setReadTimeout(1000);
            OutputStreamWriter osw = new OutputStreamWriter(
                    con.getOutputStream(), "UTF-8");
            osw.write(sb.toString());
            osw.flush();
            osw.close();
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            if (con != null) {
                con.disconnect();
            }
        }

        // 读取返回内容
        StringBuffer buffer = new StringBuffer();
        try {
            BufferedReader br = new BufferedReader(new InputStreamReader(
                    con.getInputStream(), "UTF-8"));
            String temp;
            while ((temp = br.readLine()) != null) {
                buffer.append(temp);
                buffer.append("\n");
            }
        } catch (Exception e) {
            e.printStackTrace();
        }

        return buffer.toString();
    }

}
